For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Transfer Reversal

Get Transfer Reversal

get
Path parameters
transfer_reversal_idinteger · int64Required
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
default

default response

application/json

Represents details of a reversal applied to a previously initiated transfer, including status, amount, and reason for the reversal.

idinteger · int64Read-onlyOptional
objectstringOptional

Name of the object that this object represents. This value will always be transfer_reversal.

transferinteger · int64Optional

Unique identifier for the transfer object that was reversed.

statusstring · enumOptional

Status of the transfer.

Possible values:
amountinteger · int64Optional

Amount, in fractional currency unit (e.g. cents), that was reversed.

currencystringOptional

Main currency (e.g. USD) of this transfer reversal.

payprostring · enumOptional

Payment provider that processed this transfer reversal.

Possible values:
date_createdstring · date-timeOptional

Time at which the object was created. In ISO-8601 format.

date_last_modifiedstring · date-timeOptional

Time at which the object was last modified. In ISO-8601 format.

get/payments/transfers/reversals/{transfer_reversal_id}
GET /v1/payments/transfers/reversals/{transfer_reversal_id} HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
default

default response

{
  "id": 1,
  "object": "text",
  "transfer": 1,
  "status": "PENDING",
  "amount": 1,
  "currency": "text",
  "paypro": "STRIPE",
  "paypro_data": {
    "ANY_ADDITIONAL_PROPERTY": {}
  },
  "errors": [
    {
      "id": 1,
      "error_code": 1,
      "error_message": "text",
      "resolved": true,
      "date_resolved": "2026-01-01T00:00:00.000Z",
      "date_created": "2026-01-01T00:00:00.000Z",
      "transfer_reversal_id": 1
    }
  ],
  "date_created": "2026-01-01T00:00:00.000Z",
  "date_last_modified": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?